/*
** xvos2:
** Displays ppm files via ghostscript.
** (c) 1995, Klaus Gebhardt
*/

#include <stdio.h>
#include <stdlib.h>
#include <process.h>

int main(int argc,char *argv[])
{
   int rc;
   char cmd_buffer[256];
   char *tmp_gif;
   float zoom;
   FILE *file;

   if (argc < 3)
   {
      fprintf(stderr,"usage: xvos2 pnm-file zoom-factor\n");
      return -1;
   }

   sscanf(argv[2],"%f",&zoom);
   if (zoom<=0)
   {
      fprintf(stderr,"xvos2: zoom must be positve.\n");
      return -1;
   }

   tmp_gif=tmpnam (NULL);
   sprintf(cmd_buffer,
	   "octtopnm -a %s | pnmtops -scale %f >%s",
	   argv[1],zoom,tmp_gif+2);
   rc=system(cmd_buffer);

   if (rc==0)
   {
      sprintf(cmd_buffer,"gsos2 %s 2>NUL >NUL",tmp_gif+2);
      file=popen(cmd_buffer,"w");
      if (file)
      {
	 while (getchar()!=10);
	 fputs("\nquit\n",file);
	 pclose(file);
      }
      unlink(tmp_gif+2);
   }

   return rc;
}
