/* **************************************************************** */
/*								    */
/*			xmalloc and xrealloc ()		     	    */
/*								    */
/* **************************************************************** */

#include "xmalloc.h"
#include <stdio.h>

#if defined (STATIC_MALLOC)
static 
#endif
char *
xmalloc (bytes)
     int bytes;
{
  char *temp = (char *)malloc (bytes);

  if (!temp)
    memory_error_and_abort ();
  return (temp);
}

#if defined (STATIC_MALLOC)
static 
#endif
char *
xrealloc (pointer, bytes)
     char *pointer;
     int bytes;
{
  char *temp;

  if (!pointer)
    temp = (char *)malloc (bytes);
  else
    temp = (char *)realloc (pointer, bytes);

  if (!temp)
    memory_error_and_abort ();
  return (temp);
}

#if defined (STATIC_MALLOC)
static 
#endif
void
memory_error_and_abort ()
{
  fprintf (stderr, "Out of virtual memory!\n");
  abort ();
}
